import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T43T extends Component
{

    name='43T'
    desp = "Transhipment"
    
    pattern = ""
    tno = -1
    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col span={10}>
                <FormItem
                help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                 <Select  allowClear={true}  style={{ width: "100%" }} value={value.s1} onChange={val=>{
                     
                     this.onChange(val)
                     }
                }  >
                <Option value="ALLOWED" >ALLOWED</Option>
                <Option value="CONDITIONAL" >CONDITIONAL</Option>
                <Option value="NOT ALLOWED" >NOT ALLOWED</Option>


                </Select>
                </FormItem>
            </Col>
        </Row>)
    }
}